Bug 850724 - local watchdog hooks are not documented
local watchdog hooks are not documented
Status: NEW
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.6
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
Doc
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 04:51 EDT by Jan Hutař
Modified: 2016-05-26 09:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-08-22 04:51:19 EDT
Description of problem:
Would it be possible to document this functionality mentioned on mailing list?

>> Have the test script create a clean-up script in
>> /root/.rhts/hooks/watchdog/ or /usr/share/rhts/hooks/watchdog.
>>
>> The script should either delete itself, chmod a-x itself or
>> otherwise protect from running after every LWD.

According to google search it is not mentioned in:
  http://beaker-project.org/guide/


Version-Release number of selected component (if applicable):
as of now
Comment 2 Nick Coghlan 2014-08-07 22:01:16 EDT
Red Hat's internal docs on this should be transferred to the upstream beah docs at http://beah.readthedocs.org/en/latest/
Comment 3 Nick Coghlan 2014-08-07 22:03:34 EDT
Restraint also has its own plugin system: http://restraint.readthedocs.org/en/latest/plugins.html#plugins

There should probably be a mention somewhere in the main docs about this as well, with a link to the harness specific docs.

Note You need to log in before you can comment on or make changes to this bug.